> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/basketball/database-data/season-player-statistics-all-season.md).

# Season player statistics(all season)

## Season player statistics(all season)

> Return to the season player statistics details\<br/>Request times: 120 times/min\<br/>\<br/>Description: \<br/>Due to the player's transfer situation, there will be multiple pieces of data for a player in the player data. The situation of different teams indicates that the data of the player in different teams can be combined and processed\<br/>\<br/>PS: Get the changed season id through the 'data update' interface

```json
{"openapi":"3.0.1","info":{"title":"Basketball API","version":"1.0.251028"},"tags":[{"name":"DATABASE DATA","description":"DATABASE DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/basketball/season/player/stats":{"get":{"tags":["DATABASE DATA"],"description":"Return to the season player statistics details<br/>Request times: 120 times/min<br/><br/>Description: <br/>Due to the player's transfer situation, there will be multiple pieces of data for a player in the player data. The situation of different teams indicates that the data of the player in different teams can be combined and processed<br/><br/>PS: Get the changed season id through the 'data update' interface","summary":"Season player statistics(all season)","operationId":"getSeasonAllStatsDetail","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Season id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","description":"Player list","items":{"$ref":"#/deps/schemas/SeasonPlayerStats"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"SeasonPlayerStats":{"type":"object","description":"Data details","properties":{"player_id":{"type":"string","description":"Player id"},"team_id":{"type":"string","description":"Team id"},"scope":{"type":"integer","description":"Statistics range, 1-season, 2-qualifier, 3-group stage, 4-preseason, 5-regular season, 6-elimination (playoffs), 7-play offs"},"matches":{"type":"integer","description":"Matches"},"first":{"type":"integer","description":"Whether to start, 1-Yes, 0-No"},"court":{"type":"integer","description":"Matches played"},"minutes_played":{"type":"integer","description":"Playing time (minutes)"},"points":{"type":"integer","description":"Score"},"free_throws_scored":{"type":"integer","description":"Free throws made"},"free_throws_total":{"type":"integer","description":"Total free throws"},"free_throws_accuracy":{"type":"string","description":"Free throw percentage"},"two_points_scored":{"type":"integer","description":"Two-pointers made"},"two_points_total":{"type":"integer","description":"Total two-pointers"},"two_points_accuracy":{"type":"string","description":"Two point field goal percentage"},"three_points_scored":{"type":"integer","description":"Three-pointers made"},"three_points_total":{"type":"integer","description":"Total three-pointers"},"three_points_accuracy":{"type":"string","description":"Three point field goal percentage"},"field_goals_scored":{"type":"integer","description":"Shots made"},"field_goals_total":{"type":"integer","description":"Total shots"},"field_goals_accuracy":{"type":"string","description":"Field goal percentage"},"rebounds":{"type":"integer","description":"Rebounds"},"defensive_rebounds":{"type":"integer","description":"Defensive rebounds"},"offensive_rebounds":{"type":"integer","description":"Offensive rebounds"},"assists":{"type":"integer","description":"Assists"},"turnovers":{"type":"integer","description":"Number of errors"},"steals":{"type":"integer","description":"Steals"},"blocks":{"type":"integer","description":"Blocks"},"personal_fouls":{"type":"integer","description":"Individual fouls"},"pace":{"type":"float","description":"Pace(average)  (No data, field does not exist)"},"net_rating":{"type":"float","description":"Net Rating(average)  (No data, field does not exist)"},"assist_ratio":{"type":"float","description":"Assist Ratio(average)  (No data, field does not exist)"},"double_doubles":{"type":"integer","description":"Double Doubles(total)  (No data, field does not exist)"},"triple_doubles":{"type":"integer","description":"Triple Doubles(total)  (No data, field does not exist)"},"defensive_rating":{"type":"float","description":"Defensive Rating(average)  (No data, field does not exist)"},"offensive_rating":{"type":"float","description":"Offensive Rating(average)  (No data, field does not exist)"},"usage_percentage":{"type":"float","description":"Usage Percentage(%)  (No data, field does not exist)"},"assist_percentage":{"type":"float","description":"Assist Percentage(%)  (No data, field does not exist)"},"fast_break_points":{"type":"float","description":"Fast Break Points(average)  (No data, field does not exist)"},"points_in_the_paint":{"type":"float","description":"Points in the Paint(average)  (No data, field does not exist)"},"points_off_turnovers":{"type":"float","description":"Points Off Turnovers(average)  (No data, field does not exist)"},"second_chance_points":{"type":"integer","description":"Second Chance Points(average)  (No data, field does not exist)"},"rebounding_percentage":{"type":"float","description":"Rebounding Percentage(%)  (No data, field does not exist)"},"player_impact_estimate":{"type":"float","description":"Player Impact Estimate(average)  (No data, field does not exist)"},"assist_to_turnover_ratio":{"type":"float","description":"Assist to Turnover Ratio(average)  (No data, field does not exist)"},"true_shooting_percentage":{"type":"float","description":"True Shooting Percentage(%)  (No data, field does not exist)"},"effective_field_goal_percentage":{"type":"float","description":"Effective Field Goal Percentage(%)  (No data, field does not exist)"},"defensive_rebounding_percentage":{"type":"float","description":"Defensive Rebounding Percentage(%)  (No data, field does not exist)"},"offensive_rebounding_percentage":{"type":"float","description":"Offensive Rebounding Percentage(%)  (No data, field does not exist)"},"updated_at":{"type":"integer","description":"Update time"}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/basketball/database-data/season-player-statistics-all-season.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
